module SurveyB
  class Engine < Rails::Engine
    initializer "survey_b" do
      OrbitApp.registration "SurveyB",:type=> 'ModuleApp' do
        module_label 'survey_b.survey_b'
        base_url File.expand_path File.dirname(__FILE__)  

        version "0.1"
        organization "Rulingcom"
        author "RD dep"
        intro "I am intro"
        update_info 'some update_info'

        front_end do
          app_page 'survey_b'  do 
            frontend_i18n "survey_b.frontend.survey_b"
          end
        end

        authorizable

        widgets do
          customize_widget "widget1" do 
            widget_i18n "survey_b.widget.widget1"
            style []
          end
        end

        side_bar do
          head_label_i18n  'survey_b.survey_b',:icon_class=>"icons-bars"
          available_for [:admin,:manager,:sub_manager]
          active_for_controllers ({:private=>['survey_b', 'periods', 'settings']})

          head_link_path "panel_survey_b_back_end_periods_path"

          # context_link 'survey_b.result',
          #                       :link_path=>"result_panel_survey_b_back_end_survey_b_index_path" ,
          #                       :priority=>1,
          #                       :active_for_action=>{:survey_b=>:result},
          #                       :available_for => [:manager]

          context_link 'list_',
                                :link_path=>"panel_survey_b_back_end_periods_path" ,
                                :priority=>1,
                                :active_for_action=>{:survey_b=>:index},
                                :available_for => [:manager]

          # context_link 'survey_b.period',
          #                       :link_path=>"panel_survey_b_back_end_periods_path" ,
          #                       :priority=>1,
          #                       :active_for_action=>{:periods=>:index},
          #                       :available_for => [:manager]

          context_link 'survey_b.setting',
                                :link_path=>"edit_panel_survey_b_back_end_setting_path" ,
                                :priority=>1,
                                :active_for_action=>{:settings=>[:edit, :update]},
                                :available_for => [:manager]
        end
      end
    end
  end
end
